## kalk 23.08.5

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Cahfofpai
# SPDX-FileCopyrightText: 2020 Han Young <hanyoung@protonmail.com>
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kalk VERSION ${RELEASE_SERVICE_VERSION})

find_package(BISON REQUIRED)
find_package(FLEX REQUIRED)


set(KF_MIN_VERSION "5.89.0")
set(QT_MIN_VERSION "5.15.2")
if (ANDROID)
    set(QT_MIN_VERSION "5.15.8")
endif()

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
    message(FATAL_ERROR "This application requires an out of source build. Please
        create a separate build directory.")
endif()

include(FeatureSummary)

# only enable QML debugging on debug builds
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG ")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)

find_package(GMP)
set_package_properties(GMP PROPERTIES
    DESCRIPTION "The GNU Multiple Precision Arithmetic Library"
    URL "https://gmplib.org/"
    TYPE REQUIRED
    PURPOSE "Required for building KCalc."
)

find_package(MPFR)
set_package_properties(MPFR PROPERTIES
    DESCRIPTION "The GNU Multiple Precision Floating-Point Reliable Library"
    URL "https://www.mpfr.org/"
    TYPE REQUIRED
    PURPOSE "Required for building KCalc."
)

include(CheckTypeSize)
include(CheckIncludeFiles)

check_include_files(ieeefp.h     HAVE_IEEEFP_H)
check_type_size("signed long"    SIZEOF_SIGNED_LONG)
check_type_size("unsigned long"  SIZEOF_UNSIGNED_LONG)

# only enable QML debugging on debug builds
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG ")

include(FeatureSummary)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KALK
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui QuickControls2 Widgets)
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} NO_MODULE COMPONENTS QuickCompiler)
find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
        Config
        Kirigami2
        I18n
        CoreAddons
        UnitConversion)
if (ANDROID)
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Svg)
    find_package(OpenSSL REQUIRED)
endif()
add_subdirectory(src)

configure_file(config-kcalc.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kcalc.h )
add_subdirectory(knumber)

if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()

ki18n_install(po)


if (ANDROID)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
endif()

install(PROGRAMS org.kde.kalk.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kalk.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.kalk.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Cahfofpai
# SPDX-FileCopyrightText: 2020 Han Young <hanyoung@protonmail.com>
# SPDX-License-Identifier: GPL-3.0-or-later

bison_target(MyParser ${CMAKE_CURRENT_SOURCE_DIR}/mathengine/parser.yy ${CMAKE_CURRENT_BINARY_DIR}/parser.cc)
flex_target(MyScanner ${CMAKE_CURRENT_SOURCE_DIR}/mathengine/scanner.ll ${CMAKE_CURRENT_BINARY_DIR}/scanner.cc)

add_library(kalklib STATIC
    historymanager.cpp
    inputmanager.cpp
    mathengine.cpp
    mathengine/driver.cc
    ${CMAKE_CURRENT_BINARY_DIR}/parser.cc
    ${CMAKE_CURRENT_BINARY_DIR}/scanner.cc
)

target_link_libraries(kalklib
    Qt::Core
    knumber)

set(kalk_SRCS
    main.cpp
    unitmodel.cpp)

if (QT_MAJOR_VERSION EQUAL "6")
    list(APPEND kalk_SRCS calculator.qrc)
else()
    qtquick_compiler_add_resources(RESOURCES calculator.qrc)
endif()
add_executable(kalk ${kalk_SRCS} ${RESOURCES})

add_flex_bison_dependency(MyScanner MyParser)

target_link_libraries(kalk PRIVATE
    Qt::Core
    Qt::Qml
    Qt::QuickControls2
    KF${QT_MAJOR_VERSION}::UnitConversion
    KF${QT_MAJOR_VERSION}::ConfigCore
    KF${QT_MAJOR_VERSION}::I18n
    KF${QT_MAJOR_VERSION}::CoreAddons
    kalklib
    knumber)

if(ANDROID)
    target_link_libraries(kalk PRIVATE
        KF${QT_MAJOR_VERSION}::Kirigami2
        Qt::Svg
        OpenSSL::SSL
    )

    kirigami_package_breeze_icons(ICONS
        org.kde.kalk
        accessories-calculator
        edit-clear
        edit-clear-history
        format-number-percent
        gtk-convert
        help-about
        shallow-history
    )
else()
    target_link_libraries(kalk PRIVATE Qt::Widgets)
endif()


target_include_directories(kalk PRIVATE ${CMAKE_BINARY_DIR})

target_include_directories(kalklib PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/mathengine)

install(TARGETS kalk ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

## kalk 23.08.3

=== debian/changelog ===
kalk (23.08.3-1) unstable; urgency=medium

  * Initial release. Closes: #987751

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sun, 26 Nov 2023 09:39:41 +0100

=== debian/control ===
Source: kalk
Section: kde
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               bison,
               extra-cmake-modules (>= 5.89.0~),
               kirigami2-dev (>= 5.89.0~),
               libbison-dev,
               libfl-dev,
               libgmp-dev,
               libkf5config-dev (>= 5.89.0~),
               libkf5coreaddons-dev (>= 5.89.0~),
               libkf5i18n-dev (>= 5.89.0~),
               libkf5unitconversion-dev,
               libmpfr-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/utilities/kalk
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/kalk
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/kalk.git
Rules-Requires-Root: no

Package: kalk
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qt-labs-platform,
         qml-module-qt-labs-settings,
         qml-module-qtfeedback,
Description: Powerful cross-platform calculator based on the Kirigami framework
 Kalk is a convergent calculator application built with the Kirigami framework.
 Although it is mainly targeted for mobile platforms, it can also be used
 on the desktop.
 .
 Originally starting as a fork of Liri calculator, Kalk has gone through heavy
 development, and no longer shares the same codebase with Liri calculator.

## kalk 23.08.5

=== debian/changelog ===
kalk (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:58:26 +1100

kalk (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:41:50 +0000

kalk (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 14 Mar 2024 00:55:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: kalk
 Section: kde
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>
-Build-Depends: cmake (>= 3.16~),
+Build-Depends: bison,
+               cmake (>= 3.16~),
                debhelper-compat (= 13),
-               bison,
                extra-cmake-modules (>= 5.89.0~),
                kirigami2-dev (>= 5.89.0~),
                libbison-dev,
@@ -23,8 +24,8 @@
                qtquickcontrols2-5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/utilities/kalk
-Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/kalk
-Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/kalk.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalk
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalk
 Rules-Requires-Root: no
 
 Package: kalk

## kalk 24.12.0

=== debian/changelog ===
kalk (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:05:20 +0000

kalk (24.08.3-1) unstable; urgency=medium

  * New upstream release
  * Update d/rules for building on KF6 instead of KF5
  * Update d/control after upstream changes
  * Standards-version 4.7.0 (no changes needed)
  * Drop d/p/001 as knumbertest has been dropped upstream
  * Update d/copyright after upstream changes

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Wed, 04 Dec 2024 22:14:54 +0100

## kalk 24.12.1

=== debian/changelog ===
kalk (24.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Change maintainer to the Qt/KDE Team.
  * Update Vcs-* URLs to the new location in the Qt/KDE team’s GitLab
    group.
  * Review copyright information.

  [ Marco Mattiolo ]
  * New upstream release (24.12.1).
  * Update build-deps and deps with the info from cmake.
  * Drop gbp.conf
  * Simplify packaging by using dh-* build-deps.
  * Add qt6-declarative-private-dev to build-deps as workaround to #1087385.

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Sat, 11 Jan 2025 18:08:28 +0100

=== debian/control ===
Source: kalk
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.3.0~),
               kirigami-addons-dev,
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6unitconversion-dev (>= 6.3.0~),
               libkirigami-dev (>= 6.3.0~),
               libqalculate-dev (>= 4.7.0~),
               libssl-dev,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/utilities/kalk
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalk.git
Rules-Requires-Root: no

Package: kalk
Architecture: any
Multi-Arch: foreign
Depends: qt6-wayland,
         ${misc:Depends},
         ${shlibs:Depends},
         ${qml6:Depends},
Description: Powerful cross-platform calculator based on the Kirigami framework
 Kalk is a convergent calculator application built with the Kirigami framework.
 Although it is mainly targeted for mobile platforms, it can also be used
 on the desktop.
 .
 Originally starting as a fork of Liri calculator, Kalk has gone through heavy
 development, and no longer shares the same codebase with Liri calculator.

## kalk 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Cahfofpai
# SPDX-FileCopyrightText: 2020 Han Young <hanyoung@protonmail.com>
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kalk VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "6.3.0")
set(QT_MIN_VERSION "6.7.0")

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
    message(FATAL_ERROR "This application requires an out of source build. Please
        create a separate build directory.")
endif()

include(FeatureSummary)

# only enable QML debugging on debug builds
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG ")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

# only enable QML debugging on debug builds
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG ")

include(FeatureSummary)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMQmlModule)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KALK
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(PkgConfig REQUIRED)
find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui QuickControls2 Widgets)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Kirigami
    I18n
    CoreAddons
    Config
    UnitConversion
)
qt_policy(SET QTP0001 NEW)
pkg_search_module(QALCULATE libqalculate>4.7.0 REQUIRED IMPORTED_TARGET)
if (ANDROID)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Svg)
    find_package(OpenSSL REQUIRED)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
endif()

ecm_set_disabled_deprecation_versions(QT 6.8
    KF 6.7.0
)

add_subdirectory(src)

if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()

ki18n_install(po)


if (ANDROID)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
endif()

install(PROGRAMS org.kde.kalk.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kalk.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.kalk.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kalk (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:37:07 +0000

kalk (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:11:48 +0000

kalk (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:26:14 +0000

=== debian/control ===
Source: kalk
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6unitconversion-dev (>= 5.240.0~),
               libkirigami-dev (>= 5.240.0~),
               libqalculate-dev (>= 4.7.0~),
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/utilities/kalk
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalk
Rules-Requires-Root: no

Package: kalk
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml6-module-org-kde-breeze,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-controls,
         qt6-wayland,
Description: Powerful cross-platform calculator based on the Kirigami framework
 Kalk is a convergent calculator application built with the Kirigami framework.
 Although it is mainly targeted for mobile platforms, it can also be used
 on the desktop.
 .
 Originally starting as a fork of Liri calculator, Kalk has gone through heavy
 development, and no longer shares the same codebase with Liri calculator.

## kalk 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,14 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalk VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF_MIN_VERSION "6.3.0")
+set(KF_MIN_VERSION "6.8.0")
 set(QT_MIN_VERSION "6.7.0")
 
 if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
@@ -21,9 +21,6 @@
 endif()
 
 include(FeatureSummary)
-
-# only enable QML debugging on debug builds
-set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG ")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
@@ -57,7 +54,6 @@
     Config
     UnitConversion
 )
-qt_policy(SET QTP0001 NEW)
 pkg_search_module(QALCULATE libqalculate>4.7.0 REQUIRED IMPORTED_TARGET)
 if (ANDROID)
     find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Svg)
@@ -66,7 +62,7 @@
 endif()
 
 ecm_set_disabled_deprecation_versions(QT 6.8
-    KF 6.7.0
+    KF ${KF_MIN_VERSION}
 )
 
 add_subdirectory(src)
@@ -77,11 +73,6 @@
 
 ki18n_install(po)
 
-
-if (ANDROID)
-    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
-endif()
-
 install(PROGRAMS org.kde.kalk.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES org.kde.kalk.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 install(FILES org.kde.kalk.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps/)

=== debian/changelog ===
kalk (25.04.0-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:56:12 +0200

kalk (24.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Marco Mattiolo ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Standards-version 4.7.2 (no changes needed).
  * d/watch: set pgpsigurlmangle option for uscan to check upstream signatures.
  * Add/update Heiko Becker in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Apr 2025 21:38:27 +0200

=== debian/control ===
Source: kalk
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.8.0~),
               kirigami-addons-dev,
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6unitconversion-dev (>= 6.8.0~),
               libkirigami-dev (>= 6.8.0~),
               libqalculate-dev (>= 4.7.0~),
               libssl-dev,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/kalk/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalk.git
Rules-Requires-Root: no

Package: kalk
Architecture: any
Multi-Arch: foreign
Depends: qt6-wayland, ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Powerful cross-platform calculator based on the Kirigami framework
 Kalk is a convergent calculator application built with the Kirigami framework.
 Although it is mainly targeted for mobile platforms, it can also be used
 on the desktop.
 .
 Originally starting as a fork of Liri calculator, Kalk has gone through heavy
 development, and no longer shares the same codebase with Liri calculator.

## kalk 25.04.3

=== debian/changelog ===
kalk (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:37:53 +0100

kalk (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:39:33 +0100

kalk (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:02:18 +0100

kalk (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:43:39 +0100

## kalk 25.07.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "07")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalk VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalk (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:04:05 +0100

## kalk 25.07.90

=== debian/changelog ===
kalk (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:30:20 +0100

## kalk 25.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "07")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalk VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Cahfofpai
# SPDX-FileCopyrightText: 2020 Han Young <hanyoung@protonmail.com>
# SPDX-License-Identifier: GPL-3.0-or-later

add_library(kalklib STATIC
    historymanager.cpp
    historymanager.h
    inputmanager.cpp
    inputmanager.h
    unitmodel.cpp
    unitmodel.h
    qalculateengine.cpp
    qalculateengine.h
)

ecm_add_qml_module(kalklib
    URI "org.kde.kalk"
    GENERATE_PLUGIN_SOURCE
)

ecm_target_qml_sources(kalklib SOURCES
    qml/Main.qml
    qml/AboutPage.qml
    qml/NumberPad.qml
    qml/HistoryView.qml
    qml/NumberButton.qml
    qml/CalculationPage.qml
    qml/FunctionPad.qml
    qml/BinaryCalculator.qml
    qml/BinaryPad.qml
    qml/UnitConverter.qml
    qml/PortraitPad.qml
    qml/LandScapePad.qml
    qml/SidebarButton.qml
    qml/SettingsPage.qml
)

target_link_libraries(kalklib PUBLIC
    Qt::Core
    Qt::Qml
    KF6::I18n
    KF6::I18nQml
    KF6::ConfigGui
    KF6::UnitConversion
    PkgConfig::QALCULATE
)

kconfig_target_kcfg_file(kalklib FILE kalkconfig.kcfg CLASS_NAME KalkConfig MUTATORS DEFAULT_VALUE_GETTERS GENERATE_PROPERTIES GENERATE_MOC PARENT_IN_CONSTRUCTOR SINGLETON QML_REGISTRATION)

add_executable(kalk
    main.cpp
)

target_link_libraries(kalk PRIVATE
    Qt6::Core
    Qt6::Qml
    Qt6::QuickControls2
    KF6::I18n
    KF6::CoreAddons
    kalklib
    kalklibplugin
)

if(ANDROID)
    target_link_libraries(kalk PRIVATE
        KF6::Kirigami
        Qt6::Svg
        OpenSSL::SSL
    )

    kirigami_package_breeze_icons(ICONS
        org.kde.kalk
        accessories-calculator
        edit-clear
        edit-clear-history
        format-number-percent
        gtk-convert
        help-about
        shallow-history
    )
else()
    target_link_libraries(kalk PRIVATE Qt6::Widgets)
endif()

target_include_directories(kalk PRIVATE ${CMAKE_BINARY_DIR})

install(TARGETS kalk ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kalk (25.08.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep extra signatures in upstream signing key.
    - Add .gitattributes for changelog merge driver.
    - Add .gitignore
    - Remove gbp.conf

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Aug 2025 07:43:03 +0100

kalk (25.08.0-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * New upstream release (25.08.0).
  * Update build-deps and deps with the info from cmake.
  * Add/update Albert Astals Cid’s master key’s key in upstream keyring.

  [ Aurélien COUDERC ]
  * Drop extra signatures on upstream signing keys.

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Fri, 15 Aug 2025 08:55:59 +0200

kalk (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:20:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kalk
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
@@ -24,14 +25,17 @@
                qt6-svg-dev (>= 6.7.0~),
 Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/kalk/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalk
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalk.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalk
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalk
 Rules-Requires-Root: no
 
 Package: kalk
 Architecture: any
 Multi-Arch: foreign
-Depends: qt6-wayland, ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: qt6-wayland,
+         ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: Powerful cross-platform calculator based on the Kirigami framework
  Kalk is a convergent calculator application built with the Kirigami framework.
  Although it is mainly targeted for mobile platforms, it can also be used

## kalk 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalk VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalk (25.08.1-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 11:42:43 +0000

kalk (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:37:54 +0000

kalk (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:07:18 +0000

kalk (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:21:32 +0000

kalk (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:33:10 +0000

kalk (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:05:06 +0000

kalk (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:26:31 +0000

kalk (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:59:42 +0000

kalk (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:19:28 +0000

kalk (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:19:04 +0000

kalk (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:06:15 +0000

kalk (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:30:28 +0000

kalk (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:54:55 +0000

kalk (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:26:30 +0000

kalk (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:19:50 +0000

kalk (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:02:01 +0000

kalk (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:16:56 +0000

kalk (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:01:32 +0000

kalk (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:50:25 +0000

kalk (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:27:29 +0000

kalk (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 15:41:56 +0000

kalk (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:05:27 +0000

kalk (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:53:20 +0000

kalk (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:35:53 +0000

kalk (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:36:06 +0000

kalk (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:10:54 +0000

kalk (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 May 2023 17:20:07 +0000

kalk (22.11-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 30 Nov 2022 17:20:06 +0000

kalk (22.09-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Nov 2022 17:20:07 +0000

kalk (21.06-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Jun 2021 10:47:33 +0000

kalk (0.1-0neon) unstable; urgency=medium

  * New Release

 -- Ashley Stone <ash@konqi.dev>  Thu, 14 Jan 2021 17:05:54 +0000

kalk (0.0+git20201005-1) unstable; urgency=medium

  * Initial packaging

 -- Han Young <hanyoung@protonmail.com>  Fri, 9 Oct 2020 17:20:12 -0600

## kalk 25.08.1+p24.04+vstable+git20250911.1306

=== debian/changelog ===
kalk (25.08.1+p24.04+vstable+git20250911.1306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 13:06:56 +0000

## kalk 25.08.1+p24.04+vstable+git20251001.1108

=== debian/changelog ===
kalk (25.08.1+p24.04+vstable+git20251001.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:08:24 +0000

## kalk 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalk VERSION ${RELEASE_SERVICE_VERSION})

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Han Young <hanyoung@protonmail.com>
# SPDX-License-Identifier: GPL-2.0-or-later

include(ECMAddTests)

include_directories(
${CMAKE_CURRENT_BINARY_DIR}/../src
)

ecm_add_test(inputmanagertest.cpp
    TEST_NAME "inputmanagertest"
    LINK_LIBRARIES Qt::Test kalklib PkgConfig::QALCULATE
)

ecm_add_test(inputmanagertest.cpp
    TEST_NAME "inputmanagertest_de"
    LINK_LIBRARIES Qt::Test kalklib PkgConfig::QALCULATE
)

target_compile_definitions(inputmanagertest PUBLIC LANG="C")
target_compile_definitions(inputmanagertest_de PUBLIC LANG="de_DE.utf8")

=== debian/changelog ===
kalk (25.08.2-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 06:07:38 +0000

kalk (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:13:43 +0000

## kalk 25.08.2+p24.04+vstable+git20251011.0944

=== debian/changelog ===
kalk (25.08.2+p24.04+vstable+git20251011.0944-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 09:44:51 +0000

## kalk 25.08.2+p24.04+vstable+git20251015.0934

=== debian/changelog ===
kalk (25.08.2+p24.04+vstable+git20251015.0934-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:34:57 +0000

## kalk 25.08.2+p24.04+vstable+git20251028.1000

=== debian/changelog ===
kalk (25.08.2+p24.04+vstable+git20251028.1000-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:00:27 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

  
override_dh_auto_configure:
	dh_auto_configure -- --debug-find-pkg=Qt6QuickCompiler -DQT_DEBUG_FIND_PACKAGE=ON

## kalk 25.08.2+p24.04+vstable+git20251031.0729

=== debian/changelog ===
kalk (25.08.2+p24.04+vstable+git20251031.0729-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:29:51 +0000

## kalk 25.08.2+p24.04+vunstable+git20251015.1050

=== debian/changelog ===
kalk (25.08.2+p24.04+vunstable+git20251015.1050-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:50:32 +0000

## kalk 25.08.2+p24.04+vunstable+git20251020.0253

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalk VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalk (25.08.2+p24.04+vunstable+git20251020.0253-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:53:49 +0000

=== debian/control ===
Source: kalk
Section: utils
Priority: optional
Build-Depends: bison,
               cmake,
               debhelper-compat (= 13),
               flex,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami2-dev,
               kf6-kunitconversion-dev,
               libmpfr-dev,
               libqalculate-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kalk.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kalk
Maintainer: Neon CI <neon@kde.org>

Package: kalk
Architecture: any
Depends: qml6-module-org-kde-kirigami2,
         qml6-module-qtquick-controls,
         ${misc:Depends},
         ${shlibs:Depends}
Description: A Kirigami based convergent calculator.
 Kalk is a convergent calculator application built with the
 Kirigami framework. Although it is mainly targeted for mobile
 platforms, it can also be used on the desktop.
 .
 Originally starting as a fork of Liri calculator, Kalk has gone
 through heavy development, and no longer shares the same codebase
 with Liri calculator.

## kalk 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalk VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalk (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:11:21 +0000

kalk (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:40:47 +0100

kalk (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:51:03 +0100

=== debian/control ===
Source: kalk
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.8.0~),
               kirigami-addons-dev,
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6unitconversion-dev (>= 6.8.0~),
               libkirigami-dev (>= 6.8.0~),
               libqalculate-dev (>= 4.7.0~),
               libssl-dev,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/kalk/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalk
Rules-Requires-Root: no

Package: kalk
Architecture: any
Multi-Arch: foreign
Depends: qt6-wayland,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Powerful cross-platform calculator based on the Kirigami framework
 Kalk is a convergent calculator application built with the Kirigami framework.
 Although it is mainly targeted for mobile platforms, it can also be used
 on the desktop.
 .
 Originally starting as a fork of Liri calculator, Kalk has gone through heavy
 development, and no longer shares the same codebase with Liri calculator.

## kalk 25.08.3+p24.04+vunstable+git20251202.0950

=== debian/changelog ===
kalk (25.08.3+p24.04+vunstable+git20251202.0950-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 09:50:27 +0000

kalk (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:17 +1000

## kalk 25.08.3+p24.04+vunstable+git20251204.0153

=== debian/changelog ===
kalk (25.08.3+p24.04+vunstable+git20251204.0153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:53:38 +0000

## kalk 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalk VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalk (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:49:48 +0000

## kalk 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalk VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalk (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:00:32 +0000

## kalk 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalk VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kalk (25.12.0-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 10:57:57 +0000

kalk (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:02 +1000

## kalk 25.12.0+p24.04+vstable+git20251231.0041

=== debian/changelog ===
kalk (25.12.0+p24.04+vstable+git20251231.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 00:41:41 +0000

## kalk 25.12.0+p24.04+vunstable+git20260105.1305

=== debian/changelog ===
kalk (25.12.0+p24.04+vunstable+git20260105.1305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 13:05:11 +0000

## kalk 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalk VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,6 @@
     qml/UnitConverter.qml
     qml/PortraitPad.qml
     qml/LandScapePad.qml
-    qml/SidebarButton.qml
     qml/SettingsPage.qml
 )

=== debian/changelog ===
kalk (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Jan 2026 12:16:13 +0000

kalk (25.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Marco Mattiolo ]
  * New upstream release (25.12.0).
  * Migrate to debian/watch version 5 syntax.
  * d/control: drop redundant Rules-Requires-Root.

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Bump Standards-Version to 4.7.3, no change required.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Jan 2026 22:29:24 +0100

kalk (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:59:04 +0000

kalk (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:15:53 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.8.0~),
                kirigami-addons-dev,
                libkf6config-dev (>= 6.8.0~),
@@ -23,11 +23,10 @@
                qt6-declarative-dev (>= 6.7.0~),
                qt6-declarative-private-dev,
                qt6-svg-dev (>= 6.7.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://apps.kde.org/kalk/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalk
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalk
-Rules-Requires-Root: no
 
 Package: kalk
 Architecture: any

## kalk 25.12.1+p24.04+vstable+git20260106.1405

=== debian/changelog ===
kalk (25.12.1+p24.04+vstable+git20260106.1405-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:05:42 +0000

kalk (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:17:22 +1000

## kalk 25.12.1+p24.04+vstable+git20260126.1222

=== debian/changelog ===
kalk (25.12.1+p24.04+vstable+git20260126.1222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 12:22:39 +0000

## kalk 25.12.1+p24.04+vstable+git20260131.0203

=== debian/changelog ===
kalk (25.12.1+p24.04+vstable+git20260131.0203-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:03:28 +0000
